Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.oracle
Class TPlsqlExecImmeStmt

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.TBlockSqlStatement
                  gudusoft.gsqlparser.stmt.oracle.TPlsqlExecImmeStmt

All Implemented Interfaces:
  Visitable

    public class TPlsqlExecImmeStmt

extends TBlockSqlStatement

The EXECUTE IMMEDIATE statement builds and executes a dynamic SQL statement in a single operation.

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TPlsqlExecImmeStmt(EDbVendor dbvendor)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`int` | `doParseStatement(TCustomSqlStatement psql)`
`TBindArgumentList` | `getBindArguments()`
`java.lang.String` | `getDynamicSQL()`
`TStatementList` | `getDynamicStatements()`
`TExpression` | `getDynamicStringExpr()`
`TExpressionList` | `getIntoVariables()`
`TObjectNameList` | `getReturnNames()` Used if and only if dynamic_sql_stmt has a RETURNING INTO clause, this clause returns the column values of the rows affected by dynamic_sql_stmt, in either individual variables or records

Methods inherited from class gudusoft.gsqlparser.stmt.TBlockSqlStatement
`getBodyStatements`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, getCteList, getErrorCount, getLabelName, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setLabelName, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TPlsqlExecImmeStmt

    public TPlsqlExecImmeStmt(EDbVendor dbvendor)

Method Detail

### getDynamicStatements

    public TStatementList getDynamicStatements()

  Returns:
    sql statement instance that generated dynamically based on `dynamicSQL`

### getDynamicSQL

    public java.lang.String getDynamicSQL()

  Returns:
    String representation of dynamic sql statement. if there is a variable in `dynamicStringExpr`, value of this variable will be returned.

### getBindArguments

    public TBindArgumentList getBindArguments()

  Returns:
    bind arguments in using clause.

### getDynamicStringExpr

    public TExpression getDynamicStringExpr()

  Returns:
    A string literal, string variable, or string expression that represents any SQL statement. this is the original string of dynamic sql statement.

### getIntoVariables

    public TExpressionList getIntoVariables()

  Returns:
    variable names in the into clause.

### getReturnNames

    public TObjectNameList getReturnNames()

  Used if and only if dynamic_sql_stmt has a RETURNING INTO clause, this clause returns the column values of the rows affected by dynamic_sql_stmt, in either individual variables or records

  Returns:

### doParseStatement

    public int doParseStatement(TCustomSqlStatement psql)

  Overrides:
    `doParseStatement` in class `TCustomSqlStatement`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD